include(quickhub-qmlclientmodule/QHClientModule.pri)
include(2log-qmlcontrols/src/2log-qmlcontrols.pri)
include(2log-qmlcomponents/src/2log-qmlcomponents.pri)
include(qrutils/SCodes/src/SCodes.pri)

#DEFINES += RASPBERRY

CONFIG += c++17

contains(DEFINES, RASPBERRY) {
    include(ws2812b/ws28128-rpi/QWS2812.pri)
    include(pn532/pn532-lib/QPN532.pri)
    QT += concurrent
}


QT += quick

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

DEFINES += ANDROID
SOURCES += \
        AndroidHelper.cpp \
        main.cpp

RESOURCES += qml.qrc
INCLUDEPATH += /home/friedemann/raspi-zero/sysroot/usr/include
# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /home/pi/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target


contains(DEFINES, ANDROID) {

HEADERS += \
    SleepAvoider.h

SOURCES += \
    SleepAvoider.cpp \
}

DISTFILES += \
    android/AndroidManifest.xml \
    android/build.gradle \
    android/gradle.properties \
    android/gradle/wrapper/gradle-wrapper.jar \
    android/gradle/wrapper/gradle-wrapper.properties \
    android/gradlew \
    android/gradlew.bat \
    android/res/values/libs.xml


ANDROID_PACKAGE_SOURCE_DIR = $$PWD/android

HEADERS += \
    AndroidHelper.h





